<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('billing_items', function (Blueprint $table) {
            $table->foreign('stock_id')->references('id')->on('stocks')->nullOnDelete();
            $table->foreign('stock_batch_id')->references('id')->on('stock_batches')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('billing_items', function (Blueprint $table) {
            $table->dropForeign(['stock_id']);
            $table->dropForeign(['stock_batch_id']);
        });
    }
};
